Skip to main content

Update Resident: Yardi

PUThttps://api.propexo.com/v1/residents/yardi/:resident_id
InterfaceMethod
Common DataUpdateResidentData

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The Propexo unique identifier for the resident

Request​

This endpoint expects an object.

    first_namestring

    The first name of the resident.

    last_namestring

    The last name of the resident.

    email_1string<email>

    The primary email address for the resident.

    phone_1string

    The primary phone number for the resident.

    phone_1_typestring

    The primary phone type for the resident. Required when updating phone number.

    Show 4 enum values
    HOMEWORKMOBILEFAX

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo unique identifier for the resident

    first_namestring

    The first name of the resident.

    last_namestring

    The last name of the resident.

    email_1string<email>

    The primary email address for the resident.

    phone_1string

    The primary phone number for the resident.

    phone_1_typestring

    The primary phone type for the resident. Required when updating phone number.

    Show 4 enum values
    HOMEWORKMOBILEFAX

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/yardi/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/yardi/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME"
}
}